#!/usr/bin/perl
require 'jcode.pl';
#require 'libgajadiary.pl';
#require 'libmyftp.pl';
use GajaDiary::Article;

open(SOURCE,"./newArticles.pl |");
while(<SOURCE>){
    #cut until first article.
    if(/<div class=['"]Article["']>/){
	$text = $_;
	last;
    }
}
while(<SOURCE>){
    if(/<h3>\d+\.\d+<\/h3>/){
	next;
    }
    if(/^<hr>/){
	next;
    }
    if(/<\/div><!-- end of FreetalkMain -->/){
	if($text =~ m{<h4>.*?@</a>(.*?)</h4>}){
	    $topic = $1;
	}
	push(@article,$text);
	$text = $_;
	last;
    }
    if(/<div class=([\'\"])Article\1>/){
	if($text =~ m{<h4>.*?@</a>(.*?)</h4>}){
	    $topic = $1;
	}
	if($text){
	    push(@article,$text);
	    $text = '';
	}
    }
    $text .= "$_"; 
}
push(@article,$text);

foreach $article (@article){
    jcode::convert(\$article,'euc');
    $article = GajaDiary::Article->parse($article);
}

printf(q{<?xml version="1.0" encoding="euc-jp"?>
<rdf:RDF 
  xmlns="http://purl.org/rss/1.0/"
  xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" 
  xmlns:dc="http://purl.org/dc/elements/1.1/"
  xml:lang="ja">
<channel rdf:about="http://white.niu.ne.jp/Freetalk/index.rss10">
 <title>WhiteΤդ꡼ȡ</title>
 <link>http://white.niu.ne.jp/Freetalk/</link>
 <description></description>
 <items>
  <rdf:Seq>
%s
  </rdf:Seq>
 </items>
</channel>
},join("\n",map{"   ".$_->as_rdf_li}@article));

foreach $article (@article){
    print $article->as_RSSitem();
}
print "</rdf:RDF>\n";
