#!/usr/local/bin/perl

$version = "1.7a";
$update  = "20040212";

require '/home/white/public_html/cgi/jcode.pl';
#require 'jcode.pl';
use libgajaf;
$docdir = $libgajaf::docdir;
$docdiruri = $libgajaf::docdiruri;

if($ENV{REQUEST_METHOD} eq "GET"){
    $str = $ENV{QUERY_STRING};
}else{
    read(STDIN,$str,$ENV{'CONTENT_LENGTH'});
}
@part = split('&',$str);
foreach $i (@part)
{
    ($variable,$value) = split('=',$i);
    $value =~ tr/+/ /;
    $value =~ s/%([0-9a-fA-F][0-9a-fA-F])/pack("C",hex($1))/eg;
    &jcode::convert(*value,'euc');
    $value =~ s/\015\012/\012/g;
    $value =~ s/\015/\012/g;
    $cgi{$variable} = $value;
}

$keywords = $cgi{keyword};

if($cgi{test} == 1){$test = 1;}

$keywords =~ s/ +/ /;
@part = split(' ',$keywords);
foreach $i (@part){
    $key{$i} = 'off';
}

print "Content-type: text/html\n\n";
print "<html>\n<head>\n";
print "<title>GAJAFind-result : $keywords</title>\n</head>\n";
print "<meta http_equiv='Content-Style-Type' content='text/css'>\n";
print "<link href='FREETALK.css' rel='stylesheet' type='text/css'>\n";
print "<body>\n";
print "<FORM action=\"http://white.niu.ne.jp/Freetalk/GAJAFind.cgi\" method=\"GET\">\n";
print "<p>Search = ";
print "<INPUT type=\"text\" name=\"keyword\" value=\"";
foreach $i (keys %key){
    print "$i "
}
print "\">\n<INPUT type=\"submit\" value=\"\">\n";
print "<INPUT type=\"checkbox\" name=\"mode\" value=\"view\"";
print " checked" if($cgi{mode} eq "view");
print ">ɽ\n";
print "</p></FORM>\n<hr>\n";

&libgajaf::readDBfile();

print "<ul>\n";

@searchlist = &libgajaf::sigCheck($keywords);

foreach $article (@searchlist){
    my($title,$uri) = split(/\0/,$article,2);
    $title ||= $uri;
    $searchlist{$uri}  = $title;
}

foreach $uri (sort cmpDiaryFilename keys %searchlist){
    if($cgi{mode} eq "view"){
	print "<li><a href='$docdiruri$uri'>$uri</a>\n";
	print &fetch_article($uri);
    }else{
	print "<li><a href='$docdiruri$uri'>$searchlist{$uri}</a>\n";
    }
}


print "</ul>\n";
print "</body></html>\n";
#$test = 0;
if($test == 1){printf ("%f &nbsp; %f\n",times());}
if($test == 1){print "$libgajaf::HASHBITS\n";}
if($test == 1){print "expanged: $libgajaf::expunged\n";}
exit(0);


sub cmpDiaryFilename{
    local($A,$B);
    $a =~ /^(\d\d\d\d)(.)/;
    $A = $1;
    $A += 10000 if $A<9800;
    $A += index(". abcdefghijklmn",$2)*0.1;

    $b =~ /^(\d\d\d\d)(.)/;
    $B = $1;
    $B += 10000 if $B<9800;
    $B += index(". abcdefghijklmn",$2)*0.1;

    return ($B <=> $A);
}

my($FILE);
my(%ARTICLE_REPOSITORY);
sub fetch_article{
    my($uri) = shift;

    my($file,$name) = split(/\#/,$uri);
    if($FILE ne $file){
	undef %ARTICLE_REPOSITORY;
	open(FILE,$docdir."$file") or warn "$file\n";
	my($point,$date);
	while(<FILE>){
	    if(/<a[^>]+name="(\d+\.\d+_\d+:\d+)"[^>]*?>/){
		$point = $1;$date = $1;
	    }elsif(/<a[^>]+name='(\d\d)(\d\d)(\d\d)'[^>]*?>/){
		$point = $1.$2.$3;$date= $1.".".$2.":".$3;
	    }elsif(/(?:<div class='topic'>|<h4>)<a [^>]+name='(\d\d)(\d\d)(\d\d)([a-zA-Z]+)'>/i){
		s/<a [^>]+name='(\d\d)(\d\d)(\d\d)([a-zA-Z]+)'>.*?<\/a>//;
		$point = $1.$2.$3.$4;$date= "$1.$2:$3*";
		$text = $text.$_;
	    }elsif(/<div class=.(?:freetalkColumn|Article).>/i
		   || /<\/div><!-- end of FreetalkMain -->/){
		if($point){
		    &jcode::convert(\$text,'euc');
		    $ARTICLE_REPOSITORY{$point} = $text;
		}
		$text = $_;$point = "";
	    }elsif(/<h3>\d+[\/\.]\d+<\/h3>/){
		next;
	    }else{
		$text = $text.$_;
	    }
	}
	close(FILE);
	$FILE = $file;
    }
    return $ARTICLE_REPOSITORY{$name};
}
