#!/usr/local/bin/perl
# $Id: article.cgi,v 1.1 2004/06/09 08:33:49 white Exp $
use strict;
#require '/home/white/public_html/cgi/jcode.pl';
require 'jcode.pl';

my($str);
my(%cgi);
if(@ARGV){
	$str = join(' ',@ARGV);
}elsif($ENV{REQUEST_METHOD} eq "GET"){
    $str = $ENV{QUERY_STRING};
}else{
    read(STDIN,$str,$ENV{'CONTENT_LENGTH'});
}
my(@part) = split('&',$str);
foreach my $i (@part)
{
    my($variable,$value) = split('=',$i);
    $value =~ tr/+/ /;
    $value =~ s/%([0-9a-fA-F][0-9a-fA-F])/pack("C",hex($1))/eg;
    &jcode::convert(*value,'euc');
    $value =~ s/\015\012/\012/g;
    $value =~ s/\015/\012/g;
    $cgi{$variable} = $value;
}
my $uri = $cgi{uri};
$uri = $str unless($uri);

print "Content-type: text/html\n\n";
my $page = make_page(fetch_article($uri));
jcode::convert(\$page,'sjis');
print $page;
exit;

my($FILE);
my(%ARTICLE_REPOSITORY);
sub fetch_article{
    my($uri) = shift;

	$uri =~ /^(\d{4}.)(.*)/;
    my($file,$name) = ("$1.html",$2);
    if($FILE ne $file){
	undef %ARTICLE_REPOSITORY;
	open(FILE,$file) or warn "$file\n";
	my($point,$date,$text);
	while(<FILE>){
	    if(/<a[^>]+name="(\d+\.\d+_\d+:\d+)"[^>]*?>/){
			$point = $1;$date = $1;
	    }elsif(/<a[^>]+name='(\d\d)(\d\d)(\d\d)'[^>]*?>/){
			$point = $1.$2.$3;$date= $1.".".$2.":".$3;
	    }elsif(/(?:<div class='topic'>|<h4>)<a [^>]+name='(\d\d)(\d\d)(\d\d)([a-zA-Z]+)'>/i){
			s/<a [^>]+name='(\d\d)(\d\d)(\d\d)([a-zA-Z]+)'>.*?<\/a>//;
			$point = $1.$2.$3.$4;$date= "$1.$2:$3*";
			$text = $text.$_;
	    }elsif(/<div class=.(?:freetalkColumn|Article).>/i
			   || /<\/div><!-- end of FreetalkMain -->/){
			if($point){
				&jcode::convert(\$text,'euc');
				$ARTICLE_REPOSITORY{$point} = $text;
			}
			$text = $_;$point = "";
	    }elsif(/<h3>\d+[\/\.]\d+<\/h3>/){
			next;
	    }else{
			$text = $text.$_;
	    }
	}
	close(FILE);
	$FILE = $file;
    }
    return $ARTICLE_REPOSITORY{$name};
}

sub read_file{
	my($file) = shift;
	open(READFILE,$file);
	my $ret = join('',<READFILE>);
	close(READFILE);
	return $ret;
}

sub make_page{
	my($article) = @_;
	$article =~ m{<h4>(.*)</h4>};
	my($title) = $1;
	$title = '(no title)' unless($title);
	my $NAVI_BAR = read_file("navi-bar.html");
	my $TOPIC_INDEX = read_file("topicindex.html");
	my $BACK_NUMBER = read_file("backnumberlist.html");
	
	return qq{<!doctype html public "-//W3C//DTD HTML 4.0 Strict//EN">
<html lang="ja">
<head>
<title>White's Free Talk : $title</title>
<meta http-equiv="Content-Type" content="text/html; charset=Shift_JIS" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<link rel="stylesheet" media="screen,print" href="FREETALK.css" type="text/css" />
<link rev="made" href="mailto:white\@niu.ne.jp" /> 
<meta name="Author" content="white" />
<meta name="Title"  content="WhiteΤդ꡼ȡ" />
<meta name="Generator" content="gajadiary/0.90-alpha1" />
</head>
<body>
<h1>WhiteΤդ꡼ȡ</h1>
<h2>$title</h2>
<div>
<a href="About.html">About this Page</a>
<span class='navi_nocss'>|<a href="./#backnumber">ʬ</a><br></span>
</div>
<hr>
<p>
<a href="http://white.niu.ne.jp/yapw/yapw.cgi">Wiki</a>/<a href="http://white.niu.ne.jp/yapw/yapw.cgi/AtRandomBBS">BBS</a>
</p>
<div class="freetalkMain">
$article
</div>
<hr>
<div class="authorInfo">
<span class="announce">
ո洶ۤΰ<a href="mailto:white\@niu.ne.jp">white\@niu.ne.jp</a></span>
</div>
<hr />
<div class="navi">
<div>$NAVI_BAR</div>
<hr />
<form action='http://white.niu.ne.jp/Freetalk/GAJAFind.cgi' method='GET'>
<p><a name="search">(1999-)</a>
<input type="text" name="keyword" style='width:100%' value="">
<input type="submit" value="">
<input type="checkbox" name="mode" value="view">ɽ
</p>
</form>
<hr />
<p>ȥԥå̺$TOPIC_INDEX|<a href="0101a.html#061333a">ѥ</a></p>
<hr />
<form action="http://white.niu.ne.jp/Freetalk/GAJAFind.cgi" method="GET">
</form>
<p><a name="backnumber">#ʬ</a></p>
<div class="backnumber">
$BACK_NUMBER
</div>
<hr />
</body>
</html>}
}

