#!/usr/bin/perl
require 'jcode.pl';
use libgajaf;

use Getopt::Long;
GetOptions('db=s' => \$dbfile);

if($dbfile){
    libgajaf::set_currentDB($dbfile);
}

foreach $filename (@ARGV){
    open(FILE,$filename);
    while(<FILE>){
	if(/<div class=['"]Article["']>/){
	    last;
	}
    }
    while(<FILE>){
	$line = $_;
	$text .= $_; 
	if($line =~ /<div class=([\'\"])Article\1>/){
	    &jcode::convert(\$text,'euc');
	    if($text =~ m{<h4>.*?@</a>(.*?)</h4>}){
		$topic = $1;
	    }
	    &libgajaf::addSignature("$topic\0$filename#$articleurl",$text);
	    undef($articleurl); undef($text); next;
	}elsif($text =~ /<\/div><!-- end of FreetalkMain -->/){
	    &jcode::convert(\$text,'euc');
	    if($line =~ m{<h4>.*?@</a>(.*?)</h4>}){
		$topic = $1;
	    }
	    &libgajaf::addSignature("$topic\0$filename#$articleurl",$text);
	    undef($articleurl); undef($text); last;
	}
	if(!defined($articleurl)){
	    if($line =~ /<a name=['"](.*?)["'] href=['"]\#\1["']>/){
		print $filename."#".$1."\n";
		$articleurl = $1;
	    }elsif($line =~ /<a href=['"]\#(.*?)["'] name=['"]\1["']>/){
		print $filename."#".$1."\n";
		$articleurl = $1;
	    }
	}
    }
}

